Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support inbox view

POST/workspaces/{organizationId}/support/inbox/views
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
filterobjectrequired
sortobject
Responses
201

View created

viewobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
namestringrequired
filterobjectrequired
sortobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/inbox/views' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "filter": {
    "property1": null,
    "property2": null
  },
  "sort": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "view": {
    "id": "string",
    "organizationId": "string",
    "userId": "string",
    "name": "string",
    "filter": {
      "property1": null,
      "property2": null
    },
    "sort": {
      "property1": null,
      "property2": null
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Was this page helpful?